--
-- Scripts that migrates the Database Schema from 1.1.1 to 2.0.0
--
-- The 2.0.0 schema integrates :
--	- virtual uids/gids
--	- VOMS support
--

--
-- Create the new tables
--
CREATE TABLE Cns_groupinfo (
       rowid INTEGER UNSIGNED AUTO_INCREMENT PRIMARY KEY,
       gid INTEGER,
       groupname VARCHAR(255) BINARY)
      TYPE = InnoDB;

CREATE TABLE Cns_userinfo (
       rowid INTEGER UNSIGNED AUTO_INCREMENT PRIMARY KEY,
       userid INTEGER,
       username VARCHAR(255) BINARY)
      TYPE = InnoDB;

CREATE TABLE Cns_unique_gid (
       id INTEGER UNSIGNED)
      TYPE = InnoDB;

CREATE TABLE Cns_unique_uid (
       id INTEGER UNSIGNED)
       TYPE = InnoDB;

ALTER TABLE Cns_groupinfo
       ADD UNIQUE (groupname);
ALTER TABLE Cns_userinfo
       ADD UNIQUE (username);

--
-- Update the schema version
--
UPDATE schema_version SET major_number=2, minor_number=1, patch_number=0;
